- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

# JQuad Class Reference

`#include <JTypes.h>`

List of all members.

## Public Member Functions
| JQuad (JTexture *tex, float x, float y, float width, float height)
void | SetColor (PIXEL_TYPE color)
void | SetHotSpot (float x, float y)
void | SetTextureRect (float x, float y, float w, float h)
void | GetTextureRect (float *x, float *y, float *w, float *h)
void | SetHFlip (bool hflip)
void | SetVFlip (bool vflip)

## Detailed Description

Image quad.

## Constructor & Destructor Documentation

JQuad::JQuad | ( | JTexture * | tex,
|  | float | x,
|  | float | y,
|  | float | width,
|  | float | height |
| ) |  |  |

Constructor.

Parameters:

  | tex | - Texture of the quad.
  | x | - X position of the quad in texture.
  | y | - Y position of the quad in texture.
  | width | - Width of the quad.
  | height | - Height of the quad.

## Member Function Documentation

void JQuad::SetColor | ( | PIXEL_TYPE | color | ) |

Set blending color of the quad.

Parameters:

  | color | - Color.

void JQuad::SetHotSpot | ( | float | x,
|  | float | y |
| ) |  |  |

Set anchor point of the quad.

Parameters:

  | x | - X position of the anchor point.
  | y | - Y position of the anchor point.

void JQuad::SetTextureRect | ( | float | x,
|  | float | y,
|  | float | w,
|  | float | h |
| ) |  |  |

Set UV positions of the quad.

Parameters:

  | x | - X position of the quad in texture.
  | y | - Y position of the quad in texture.
  | w | - Width of the quad.
  | h | - Height of the quad.

void JQuad::GetTextureRect | ( | float * | x,
|  | float * | y,
|  | float * | w,
|  | float * | h |
| ) |  |  |

Get UV positions of the quad.

Returns:
  x - X position of the quad in texture.

  y - Y position of the quad in texture.

  w - Width of the quad.

  h - Height of the quad.

void JQuad::SetHFlip | ( | bool | hflip | ) | `[inline]`

Set horizontal flipping.

Parameters:

  | hflip | - flipping flag;

void JQuad::SetVFlip | ( | bool | vflip | ) | `[inline]`

Set vetical flipping.

Parameters:

  | hflip | - flipping flag;